Decodes a hexadecimally encoded binary string

- « sodium_crypto_stream

- sodium_increment »

- PHP Manual
- Sodium Functions
- Decodes a hexadecimally encoded binary string

# sodium_hex2bin

(PHP 7 >= 7.2.0, PHP 8)

sodium_hex2bin — Decodes a hexadecimally encoded binary string

### Description

sodium_hex2bin(string `$string`, string `$ignore` = ""): string

Decodes a hexadecimally encoded binary string.

Like sodium_bin2hex(), sodium_hex2bin() is resistant to side-channel attacks while hex2bin() is not.

### Parameters

`string`

  Hexadecimal representation of data.

`ignore`

  Optional string argument for characters to ignore.

### Return Values

Returns the binary representation of the given `string` data.